<%-include('./shared/header.ejs',{active:'dashboard'})%>
<!-- ########## START: MAIN PANEL ########## -->
<div class="br-mainpanel">
  <div class="br-pageheader pd-y-15 pd-l-20">
    <nav class="breadcrumb pd-0 mg-0 tx-12">
      <a class="breadcrumb-item" href="/dashboard">Dashboard</a>
      <span class="breadcrumb-item active">Subject Full Details</span>
    </nav>
  </div>
  <!-- br-pageheader -->
  <div class="pd-x-20 pd-sm-x-30 pd-t-20 pd-sm-t-30">
    
    <p class="mg-b-0">&nbsp;</p>
  </div>

  <div class="br-pagebody">
    <!-- start you own content here -->
    <div class="br-section-wrapper">
      
      <!-- form-layout -->

        <!-- list -->
        <div class="bd bd-gray-300 rounded table-responsive">
          <table class="table mg-b-0">
            <thead>
              <tr>
                <th>ID</th>
                <th>College</th>
                <th>Degree</th>
                <th>Semester</th>
                <th>Subject</th>
                <th>Year</th>
                <th>Month</th>
                <th>Edit</th>
               <th>Link</th>
               <th>Status</th>
               <th>Action</th>
               <th>Lock Status</th>
               <th>Updation</th>
               <th>Question</th>
             
               
              </tr>
            </thead>
            <tbody>
             
              <% details.forEach(function(details,index){ %>
              <tr>
                <th scope="row"><%= details.degree.semester.subject.quick_prep_index.id %></th>
                <td><%= details.name %></td>
                <td><%= details.degree.name %></td>
                <td><%= details.degree.semester.name %></td>
                <td><%= details.degree.semester.subject.name %></td>
                <td><%= details.degree.semester.subject.quick_prep_index.exam_year %></td>
                <td><%= details.degree.semester.subject.quick_prep_index.exam_month %></td>

                <td><a href="/quick_prep_full_details_edit/<%=details.degree.semester.subject.quick_prep_index.id %>">
                  <button
                  type="button"
                  class="btn btn-secondary"
                  title="Edit"
                >
                  <i class="fa fa-pencil-square-o"></i>
                </button>
                </a></td>



                <td><a href="<%= details.degree.semester.subject.quick_prep_index.download_link %>" target="_blank">Link</a></td>
                <td>
                    <% if (details.degree.semester.subject.quick_prep_index.active == 1) { %>
                        Active
                     <% } else { %>
                     <b style='color:red;'> In-Active</b> 
                      <% } %>
                  </td>
        
                  <td>
                    <div class="btn-group" role="group" aria-label="Basic example">
                    
                     
                      <% if (details.degree.semester.subject.quick_prep_index.active == 1) { %>
                        <a href="/exam_year_inactive/<%=details.degree.semester.subject.quick_prep_index.id %>">
                      <button
                      type="button"
                      class="btn btn-secondary"
                      title="Make inactive"
                    >
                      <i class="fa fa-eye-slash"></i>
                    </button>
                  </a>
                    <% } else { %>
                      <a href="/exam_year_active/<%=details.degree.semester.subject.quick_prep_index.id %>">
                    <button
                    type="button"
                    class="btn btn-secondary"
                    title="Make active"
                  >
                    <i class="fa fa-eye"></i>
                  </button>
                  </a>
                  <% } %>
        
                   <td>
                      <% if (details.degree.semester.subject.quick_prep_index.locked == 0) { %>
                          Open
                       <% } else { %>
                       <b style='color:red;'> Lock</b> 
                        <% } %>
                    </td>
        
        
        
                    <td>
        
                      <% if (details.degree.semester.subject.quick_prep_index.locked == 0) { %>
                        <a href="/exam_year_block/<%=details.degree.semester.subject.quick_prep_index.id %>">
                      <button
                      type="button"
                      class="btn btn-secondary"
                      title="Block"
                    >
                      <i class="fa fa-lock"></i>
                    </button>
                  </a>
                    <% } else { %>
                      <a href="/exam_year_unblock/<%=details.degree.semester.subject.quick_prep_index.id %>">
                    <button
                    type="button"
                    class="btn btn-secondary"
                    title="Unblock"
                  >
                    <i class="fa fa-unlock"></i>
                  </button>
                  </a>
                  <% } %>
        
        
                    </td> 
        
                    <td>
                      <a href="/question_page/<%=details.degree.semester.subject.quick_prep_index.id %>/<%=details.degree.semester.subject.id %>">
                        <button
                        type="button"
                        class="btn btn-secondary"
                        title="Question Register on <%=details.degree.semester.subject.name %>"
                      >
                        <i class="fa fa-edit"></i>
                      </button>
                      </a>
        
                    </td>
        
        
        
        
        
        
                    </div>
                  </td>



              </tr>
              <% }); %>
            </tbody>
          </table>
        </div>



        <%-include('./shared/scripts.ejs')%>



<%-include('./shared/footer.ejs')%>



